Skip to main content

Create Recurring Charge: Entrata

POSThttps://api.propexo.com/v1/recurring-resident-charges/entrata/
Method
leases/sendScheduledCharges
Notice

This write operation will set the created_record_id flag on the write-status endpoint and allow for new record to be read back in immediately.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    resident_idstringrequired

    The Propexo unique identifier for the resident

    charge_code_idstringrequired

    The Propexo unique identifier for the charge code

    amount_in_centsintegerrequired

    The amount of the recurring resident charge, in cents

    Possible values: > 0

    start_datestringrequired

    The start date associated with the recurring resident charge. Format will be converted to MM/DD/YYYY for Entrata

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstring

    Description of the recurring resident charge

    end_datestring

    The end date associated with the recurring resident charge. Format will be converted to MM/DD/YYYY for Entrata

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    month_to_month_amount_in_centsinteger

    The month-to-month amount for the recurring charge in cents

    Possible values: > 0

    month_to_month_fee_in_centsinteger

    The month-to-month fee for the recurring charge in cents

    Possible values: > 0

    last_posted_datestring

    The last date the charge was posted. Format will be converted to MM/DD/YYYY for Entrata

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    charge_timing_idstringrequired

    The propexo charge timing ID that defines when the charge should be applied

    charge_code_type_idstringrequired

    The propexo charge code type ID

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    lease_idstringrequired

    The Propexo unique identifier for the lease

    resident_idstringrequired

    The Propexo unique identifier for the resident

    charge_code_idstringrequired

    The Propexo unique identifier for the charge code

    amount_in_centsintegerrequired

    The amount of the recurring resident charge, in cents

    Possible values: > 0

    start_datestring | nullnullablerequired
    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    descriptionstring | nullnullablerequired

    Description of the recurring resident charge

    end_datestring | nullnullablerequired

    The end date associated with the recurring resident charge. Format will be converted to MM/DD/YYYY for Entrata

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    month_to_month_amount_in_centsinteger | nullnullablerequired

    The month-to-month amount for the recurring charge in cents

    Possible values: > 0

    month_to_month_fee_in_centsinteger | nullnullablerequired

    The month-to-month fee for the recurring charge in cents

    Possible values: > 0

    last_posted_datestring | nullnullablerequired

    The last date the charge was posted. Format will be converted to MM/DD/YYYY for Entrata

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    charge_timing_idstringrequired

    The propexo charge timing ID that defines when the charge should be applied

    charge_code_type_idstringrequired

    The propexo charge code type ID

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/recurring-resident-charges/entrata/
curl -X POST https://api.propexo.com/v1/recurring-resident-charges/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"lease_id": "string",
"resident_id": "string",
"charge_code_id": "string",
"amount_in_cents": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"charge_timing_id": "string",
"charge_code_type_id": "string"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"lease_id": "string",
"resident_id": "string",
"charge_code_id": "string",
"amount_in_cents": 0,
"start_date": "2024-07-29T15:51:28.071Z",
"description": "string",
"end_date": "2024-07-29T15:51:28.071Z",
"month_to_month_amount_in_cents": 0,
"month_to_month_fee_in_cents": 0,
"last_posted_date": "2024-07-29T15:51:28.071Z",
"charge_timing_id": "string",
"charge_code_type_id": "string"
}
}